Commit 51d5e4cd authored by Marin Jankovski's avatar Marin Jankovski

Bump to Rails 4.1.

parent a727d25e
...@@ -8,7 +8,7 @@ def linux_only(require_as) ...@@ -8,7 +8,7 @@ def linux_only(require_as)
RUBY_PLATFORM.include?('linux') && require_as RUBY_PLATFORM.include?('linux') && require_as
end end
gem "rails", "~> 4.0.0" gem "rails", "~> 4.1.0"
gem "protected_attributes" gem "protected_attributes"
gem 'rails-observers' gem 'rails-observers'
...@@ -207,7 +207,7 @@ group :development, :test do ...@@ -207,7 +207,7 @@ group :development, :test do
gem 'factory_girl_rails' gem 'factory_girl_rails'
# Prevent occasions where minitest is not bundled in packaged versions of ruby (see #3826) # Prevent occasions where minitest is not bundled in packaged versions of ruby (see #3826)
gem 'minitest', '~> 4.7.0' gem 'minitest', '~> 5.3.0'
# Generate Fake data # Generate Fake data
gem "ffaker" gem "ffaker"
......
...@@ -2,37 +2,39 @@ GEM ...@@ -2,37 +2,39 @@ GEM
remote: https://rubygems.org/ remote: https://rubygems.org/
specs: specs:
ace-rails-ap (2.0.1) ace-rails-ap (2.0.1)
actionmailer (4.0.5) actionmailer (4.1.1)
actionpack (= 4.0.5) actionpack (= 4.1.1)
actionview (= 4.1.1)
mail (~> 2.5.4) mail (~> 2.5.4)
actionpack (4.0.5) actionpack (4.1.1)
activesupport (= 4.0.5) actionview (= 4.1.1)
builder (~> 3.1.0) activesupport (= 4.1.1)
erubis (~> 2.7.0)
rack (~> 1.5.2) rack (~> 1.5.2)
rack-test (~> 0.6.2) rack-test (~> 0.6.2)
activemodel (4.0.5) actionview (4.1.1)
activesupport (= 4.0.5) activesupport (= 4.1.1)
builder (~> 3.1.0) builder (~> 3.1)
activerecord (4.0.5) erubis (~> 2.7.0)
activemodel (= 4.0.5) activemodel (4.1.1)
activerecord-deprecated_finders (~> 1.0.2) activesupport (= 4.1.1)
activesupport (= 4.0.5) builder (~> 3.1)
arel (~> 4.0.0) activerecord (4.1.1)
activerecord-deprecated_finders (1.0.3) activemodel (= 4.1.1)
activesupport (4.0.5) activesupport (= 4.1.1)
arel (~> 5.0.0)
activesupport (4.1.1)
i18n (~> 0.6, >= 0.6.9) i18n (~> 0.6, >= 0.6.9)
minitest (~> 4.2) json (~> 1.7, >= 1.7.7)
multi_json (~> 1.3) minitest (~> 5.1)
thread_safe (~> 0.1) thread_safe (~> 0.1)
tzinfo (~> 0.3.37) tzinfo (~> 1.1)
acts-as-taggable-on (2.4.1) acts-as-taggable-on (2.4.1)
rails (>= 3, < 5) rails (>= 3, < 5)
addressable (2.3.5) addressable (2.3.5)
annotate (2.6.0) annotate (2.6.0)
activerecord (>= 2.3.0) activerecord (>= 2.3.0)
rake (>= 0.8.7) rake (>= 0.8.7)
arel (4.0.2) arel (5.0.1.20140414130214)
asciidoctor (0.1.4) asciidoctor (0.1.4)
awesome_print (1.2.0) awesome_print (1.2.0)
axiom-types (0.0.5) axiom-types (0.0.5)
...@@ -46,7 +48,7 @@ GEM ...@@ -46,7 +48,7 @@ GEM
debug_inspector (>= 0.0.1) debug_inspector (>= 0.0.1)
bootstrap-sass (3.0.3.0) bootstrap-sass (3.0.3.0)
sass (~> 3.2) sass (~> 3.2)
builder (3.1.4) builder (3.2.2)
capybara (2.2.1) capybara (2.2.1)
mime-types (>= 1.16) mime-types (>= 1.16)
nokogiri (>= 1.3.3) nokogiri (>= 1.3.3)
...@@ -223,13 +225,13 @@ GEM ...@@ -223,13 +225,13 @@ GEM
guard-spinach (0.0.2) guard-spinach (0.0.2)
guard (>= 1.1) guard (>= 1.1)
spinach spinach
haml (4.0.4) haml (4.0.5)
tilt tilt
haml-rails (0.5.1) haml-rails (0.5.3)
actionpack (~> 4.0.0) actionpack (>= 4.0.1)
activesupport (~> 4.0.0) activesupport (>= 4.0.1)
haml (>= 3.1, < 5.0) haml (>= 3.1, < 5.0)
railties (~> 4.0.0) railties (>= 4.0.1)
hashie (2.0.5) hashie (2.0.5)
hike (1.2.3) hike (1.2.3)
hipchat (0.14.0) hipchat (0.14.0)
...@@ -282,7 +284,7 @@ GEM ...@@ -282,7 +284,7 @@ GEM
method_source (0.8.2) method_source (0.8.2)
mime-types (1.25.1) mime-types (1.25.1)
mini_portile (0.6.0) mini_portile (0.6.0)
minitest (4.7.5) minitest (5.3.4)
multi_json (1.10.1) multi_json (1.10.1)
multi_xml (0.5.5) multi_xml (0.5.5)
multipart-post (1.2.0) multipart-post (1.2.0)
...@@ -355,14 +357,16 @@ GEM ...@@ -355,14 +357,16 @@ GEM
rack rack
rack-test (0.6.2) rack-test (0.6.2)
rack (>= 1.0) rack (>= 1.0)
rails (4.0.5) rails (4.1.1)
actionmailer (= 4.0.5) actionmailer (= 4.1.1)
actionpack (= 4.0.5) actionpack (= 4.1.1)
activerecord (= 4.0.5) actionview (= 4.1.1)
activesupport (= 4.0.5) activemodel (= 4.1.1)
activerecord (= 4.1.1)
activesupport (= 4.1.1)
bundler (>= 1.3.0, < 2.0) bundler (>= 1.3.0, < 2.0)
railties (= 4.0.5) railties (= 4.1.1)
sprockets-rails (~> 2.0.0) sprockets-rails (~> 2.0)
rails-observers (0.1.2) rails-observers (0.1.2)
activemodel (~> 4.0) activemodel (~> 4.0)
rails_best_practices (1.14.4) rails_best_practices (1.14.4)
...@@ -374,13 +378,13 @@ GEM ...@@ -374,13 +378,13 @@ GEM
i18n i18n
require_all require_all
ruby-progressbar ruby-progressbar
railties (4.0.5) railties (4.1.1)
actionpack (= 4.0.5) actionpack (= 4.1.1)
activesupport (= 4.0.5) activesupport (= 4.1.1)
rake (>= 0.8.7) rake (>= 0.8.7)
thor (>= 0.18.1, < 2.0) thor (>= 0.18.1, < 2.0)
raindrops (0.12.0) raindrops (0.12.0)
rake (10.3.1) rake (10.3.2)
raphael-rails (2.1.2) raphael-rails (2.1.2)
rb-fsevent (0.9.3) rb-fsevent (0.9.3)
rb-inotify (0.9.2) rb-inotify (0.9.2)
...@@ -443,9 +447,9 @@ GEM ...@@ -443,9 +447,9 @@ GEM
sdoc (0.3.20) sdoc (0.3.20)
json (>= 1.1.3) json (>= 1.1.3)
rdoc (~> 3.10) rdoc (~> 3.10)
seed-fu (2.3.0) seed-fu (2.3.1)
activerecord (>= 3.1, < 4.1) activerecord (>= 3.1, < 4.2)
activesupport (>= 3.1, < 4.1) activesupport (>= 3.1, < 4.2)
select2-rails (3.5.2) select2-rails (3.5.2)
thor (~> 0.14) thor (~> 0.14)
settingslogic (2.0.9) settingslogic (2.0.9)
...@@ -491,7 +495,7 @@ GEM ...@@ -491,7 +495,7 @@ GEM
multi_json (~> 1.0) multi_json (~> 1.0)
rack (~> 1.0) rack (~> 1.0)
tilt (~> 1.1, != 1.3.0) tilt (~> 1.1, != 1.3.0)
sprockets-rails (2.0.1) sprockets-rails (2.1.3)
actionpack (>= 3.0) actionpack (>= 3.0)
activesupport (>= 3.0) activesupport (>= 3.0)
sprockets (~> 2.8) sprockets (~> 2.8)
...@@ -510,7 +514,7 @@ GEM ...@@ -510,7 +514,7 @@ GEM
eventmachine (>= 1.0.0) eventmachine (>= 1.0.0)
rack (>= 1.0.0) rack (>= 1.0.0)
thor (0.19.1) thor (0.19.1)
thread_safe (0.3.3) thread_safe (0.3.4)
tilt (1.4.1) tilt (1.4.1)
timers (1.1.0) timers (1.1.0)
tinder (1.9.3) tinder (1.9.3)
...@@ -532,7 +536,8 @@ GEM ...@@ -532,7 +536,8 @@ GEM
eventmachine (>= 0.12.8) eventmachine (>= 0.12.8)
http_parser.rb (~> 0.5.1) http_parser.rb (~> 0.5.1)
simple_oauth (~> 0.1.4) simple_oauth (~> 0.1.4)
tzinfo (0.3.39) tzinfo (1.2.0)
thread_safe (~> 0.1)
uglifier (2.3.2) uglifier (2.3.2)
execjs (>= 0.3.0) execjs (>= 0.3.0)
json (>= 1.8.0) json (>= 1.8.0)
...@@ -621,7 +626,7 @@ DEPENDENCIES ...@@ -621,7 +626,7 @@ DEPENDENCIES
kaminari (~> 0.15.1) kaminari (~> 0.15.1)
launchy launchy
letter_opener letter_opener
minitest (~> 4.7.0) minitest (~> 5.3.0)
mysql2 mysql2
nprogress-rails nprogress-rails
omniauth (~> 1.1.3) omniauth (~> 1.1.3)
...@@ -637,7 +642,7 @@ DEPENDENCIES ...@@ -637,7 +642,7 @@ DEPENDENCIES
rack-attack rack-attack
rack-cors rack-cors
rack-mini-profiler rack-mini-profiler
rails (~> 4.0.0) rails (~> 4.1.0)
rails-observers rails-observers
rails_best_practices rails_best_practices
raphael-rails (~> 2.1.2) raphael-rails (~> 2.1.2)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment